All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
openCv.hpp File Reference
`#include <opencv2/core/core.hpp>`
`#include <opencv2/imgproc/imgproc.hpp>`
`#include <openpose/core/common.hpp>`

Go to the source code of this file.

## Namespaces

| op

## Functions

OP_API void | op::putTextOnCvMat (cv::Mat &cvMat, const std::string &textToDisplay, const Point< int > &position, const cv::Scalar &color, const bool normalizeWidth, const int imageWidth)
OP_API void | op::unrollArrayToUCharCvMat (cv::Mat &cvMatResult, const Array< float > &array)
OP_API void | op::uCharCvMatToFloatPtr (float *floatPtrImage, const cv::Mat &cvImage, const int normalize)
OP_API double | op::resizeGetScaleFactor (const Point< int > &initialSize, const Point< int > &targetSize)
OP_API void | op::resizeFixedAspectRatio (cv::Mat &resizedCvMat, const cv::Mat &cvMat, const double scaleFactor, const Point< int > &targetSize, const int borderMode=cv::BORDER_CONSTANT, const cv::Scalar &borderValue=cv::Scalar{0, 0, 0})
OP_API void | op::keepRoiInside (cv::Rect &roi, const int imageWidth, const int imageHeight)